Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iview
Class DefaultConstraintEditor

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Dialog
                      javax.swing.JDialog
                          ix.iface.ui.JConstraintEditor
                              ix.iview.ConstraintEditor
                                  ix.iview.DefaultConstraintEditor

All Implemented Interfaces:
  VarSpecifier, java.awt.event.MouseListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants

    public class DefaultConstraintEditor

extends ConstraintEditor

An editor for specifying generic constraints in refinements. Constraints are attached to self (the refinement) or to a child.

The editor is implemented as a frame using JList objects, a JCheckBox and JButtons.

The editor can be created with no arguments or with a given refinement which will be set as the current refinement whose conditions and effects are to be specified. Subsequently, the refinement in the editor can be set using the setRefinement method.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JDialog
`javax.swing.JDialog.AccessibleJDialog`

Nested classes/interfaces inherited from class java.awt.Dialog
`java.awt.Dialog.AccessibleAWTDialog, java.awt.Dialog.ModalExclusionType, java.awt.Dialog.ModalityType`

Nested classes/interfaces inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected javax.swing.JRadioButton` | `condBut`
`protected javax.swing.JRadioButton` | `effBut`
`protected javax.swing.JTextField` | `relField`
`protected javax.swing.JTextField` | `statement`
`protected javax.swing.JTextField` | `typeField`

Fields inherited from class ix.iview.ConstraintEditor
`varDecs`

Fields inherited from class ix.iface.ui.JConstraintEditor
`bitsBox, butBox, cancelBut, constraintListeners, currentObject, focusComponent, label, mainPanel, moreBut, okBut, original`

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Dialog
`DEFAULT_MODALITY_TYPE`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`DefaultConstraintEditor(java.awt.Frame owner)` Creates an editor for specifying time point relations.
`DefaultConstraintEditor(java.awt.Frame owner, UIRefinement refinement)` Creates an editor for specifying time point relations within the given refinement.

Method Summary
`protected java.lang.Object` | `collectConstraint()` Reads the selected relation and let interested parties know.
`protected javax.swing.JComponent` | `getFocusComponent()` By default, there is no focus component
`protected void` | `initFromObject()` Sets the refinement whose components (children) are to be realted.
`protected java.awt.Component` | `makeRels()` Makes all items on the relations panel.
`protected java.util.List` | `readParameters(java.lang.String text)`
`protected void` | `setFromObject(java.lang.Object original)` Sets the editor up to edit (rather than add) an original constraint object.

Methods inherited from class ix.iview.ConstraintEditor
`addVariableDeclaration, getField, getPreviousList, getVarsToOffer, handleVariables, makeBits, processConstraint, start`

Methods inherited from class ix.iface.ui.JConstraintEditor
`addConstraintListener, closeEditor, focus, getObject, isEditing, moreInitFromObject, mouseClicked, mouseEntered, mouseExited, mousePressed, mouseReleased, noteNewValue, removeConstraintListener, setMessage, setObject, setOriginal, start, start, start, start, start`

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

Methods inherited from class java.awt.Dialog
`addNotify, getModalityType, getTitle, hide, isModal, isResizable, isUndecorated, setModal, setModalityType, setResizable, setTitle, setUndecorated, setVisible, show, toBack`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOwnedWindows, getOwner, getOwnerlessWindows, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, paint, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, setBackground, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### typeField

    protected javax.swing.JTextField typeField

### relField

    protected javax.swing.JTextField relField

### condBut

    protected javax.swing.JRadioButton condBut

### effBut

    protected javax.swing.JRadioButton effBut

### statement

    protected javax.swing.JTextField statement

Constructor Detail

### DefaultConstraintEditor

    public DefaultConstraintEditor(java.awt.Frame owner)

  Creates an editor for specifying time point relations. The editor has components for selecting two time points of two sub-activities, and two buttons (Ok, Cancel) "- enter pattern-value statements,", "- select whether you are specifying a condition or an effect,", "- select the node to which the condition/effect applies."});

### DefaultConstraintEditor

    public DefaultConstraintEditor(java.awt.Frame owner,
                                   UIRefinement refinement)

  Creates an editor for specifying time point relations within the given refinement. As OrderingEditor() but with a given refinement.

  Parameters:
    `refinement` - the refinement whose sub-activities are to be related

Method Detail

### makeRels

    protected java.awt.Component makeRels()

  Makes all items on the relations panel. These are a type field, a relations (sub-type) field, and a statement field.

  Specified by:
    `makeRels` in class `ConstraintEditor`

### getFocusComponent

    protected javax.swing.JComponent getFocusComponent()

  Description copied from class: `JConstraintEditor`
  By default, there is no focus component

  Overrides:
    `getFocusComponent` in class `JConstraintEditor`

### initFromObject

    protected void initFromObject()
                           throws java.lang.NullPointerException

  Sets the refinement whose components (children) are to be realted. Fills the activity lists of the panel with the children of the refinement.

  Specified by:
    `initFromObject` in class `ConstraintEditor`
  Parameters:
    `refinement` - the refinement whose children are to be related
  Throws:
    `java.lang.NullPointerException` - if the refinement has no children.

### setFromObject

    protected void setFromObject(java.lang.Object original)

  Description copied from class: `ConstraintEditor`
  Sets the editor up to edit (rather than add) an original constraint object.

  Specified by:
    `setFromObject` in class `ConstraintEditor`

### collectConstraint

    protected java.lang.Object collectConstraint()

  Reads the selected relation and let interested parties know. Checks that selections have been made.

  Specified by:
    `collectConstraint` in class `ConstraintEditor`

### readParameters

    protected java.util.List readParameters(java.lang.String text)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD